## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Maintenance has moved from SourceForge to GitHub, but there has never been a
# tagged release on GitHub. We package a post-release snapshot to get some
# minor fixes from the original 3.0.3 release on SourceForge.
%global commit b1d5212831842ee5869d99bc208a21837e4037d5
%global snapdate 20210820

# Should we re-generate Autoconf build files? Opinions vary wildly and strongly
# on this! We choose to do so.
%bcond_without autoreconf

Name:           libcsv
Version:        3.0.3^%{snapdate}git%(echo '%{commit}' | cut -b -7)
%global so_version 3
Release:        %autorelease
Summary:        Fast and flexible CSV library written in pure ANSI C

# Upstream says in README:
#
#   The example programs are not covered under a license and can be used
#   without restriction.
#
# This resembles, but isn’t unambiguously, a public domain dedication. See also
# the “Freely redistributable without restrictions” License identifier
# described in the pre-SPDX licensing guidelines, which seems to be a close
# match for this language.
#
# We believe we can safely distribute these in the source RPM, but we choose
# not to package them as documentation in order to avoid dealing with their
# lack of a clear license.
#
# The “or any later version…” language that makes this LGPLv2+ rather than
# strictly LGPLv2 is not in the README or COPYING files, but in the comments in
# the source file headers.
#
# The following files under other licenses belong to the build system and
# therefore do not contribute to the license of the binary RPMs:
#   - aclocal.m4, m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4,
#     m4/ltversion.m4, and m4/lt~obsolete.m4 are FSFULLR
#   - compile, depcomp, ltmain.sh, missing, and test-driver are
#     GPL-2.0-or-later
#   - config.guess and config.sub are GPL-3.0-or-later
#   - configure is FSFUL, or, more likely, (FSFUL and LGPL-2.1-or-later)
#   - install-sh is X11
License:        LGPL-2.1-or-later
URL:            https://github.com/rgamble/libcsv
Source0:        %{url}/archive/%{commit}/libcsv-%{commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
%if %{with autoreconf}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%endif

%description
Fast and flexible CSV library written in pure ANSI C that can read and write
CSV data.


%package devel
Summary:        Development files for libcsv

Requires:       libcsv%{?_isa} = %{version}-%{release}

%description devel
The libcsv-devel package contains libraries and header files for
developing applications that use libcsv.


%prep
%autosetup -n libcsv-%{commit}


%build
%if %{with autoreconf}
autoreconf --force --install --verbose
%endif
%configure --disable-static
%make_build


%install
%make_install
find '%{buildroot}' -type f -name '*.la' -print -delete


%check
%make_build check


%files
%license COPYING
%doc README

%{_libdir}/libcsv.so.%{so_version}{,.*}


%files devel
%doc csv.pdf
%doc FAQ

%{_includedir}/csv.h
%{_libdir}/libcsv.so
%{_mandir}/man3/csv.3*


%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.0.3^20210820gitb1d5212-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Aug 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.0.3^20210820gitb1d5212-3
- Update License to SPDX

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.0.3^20210820gitb1d5212-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.3^20210820gitb1d5212-1
- Generally modernize the spec file
- Opt in to rpmautospec
- Package a post-release snapshot from GitHub
- Enable tests
- Run autoreconf

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 19 2014 Jan Holcapek <holcapek@gmail.com> - 3.0.3-2
- Fixed trailing white space in fix-soname-version.patch.

* Fri Jun 13 2014 Jan Holcapek <holcapek@gmail.com> - 3.0.3-1
- Initial build.

